Skip to content
API reference / Metrics & Leaderboards
GET /api/v1/data/sources

Token needs the read ability. About tokens

Retrieves the source reference-data options. When metric is supplied, the result is narrowed to the sources valid for that metric. Requires the read ability.

Query parameters

  • metric string
    Optional metric key to scope the returned sources.

Responses

    • data array of ReferenceData required
      • value string required
      • label string required
    • message string
    • message string
curl "https://app.franchisesee.com/api/v1/data/sources" \
  -H "Authorization: Bearer $FRANCHISESEE_TOKEN" \
  -H "Accept: application/json"
Response
{
    "data": [
        {
            "value": "net_sales_amount",
            "label": "Net sales"
        }
    ]
}